package controller;

import java.io.IOException;
import java.io.PrintWriter;

import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import model.Abteilung;

import java.util.*;

import jdk.nashorn.internal.ir.RuntimeNode.Request;

/**
 * Servlet implementation class TestServlet
 */
@WebServlet("/TestServlet")
public class TestServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		EntityManagerFactory emf = (EntityManagerFactory) getServletContext().getAttribute("emf");
		EntityManager em = emf.createEntityManager();
		
		List<Abteilung> l = em.createNamedQuery("Abteilung.findAll", Abteilung.class).getResultList();
		request.setAttribute("alist", l);
		
		RequestDispatcher d = request.getRequestDispatcher("abteilungsliste.jsp");
		d.forward(request, response);
	}

}
